Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class LDAPCertStoreParameters

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.LDAPCertStoreParameters

All Implemented Interfaces:
  CertStoreParameters, java.lang.Cloneable

public class LDAPCertStoreParameters
extends java.lang.Object
implements CertStoreParameters

Parameters used as input for the LDAP `CertStore` algorithm.
This class is used to provide necessary configuration parameters (server name and port number) to implementations of the LDAP `CertStore` algorithm.
Concurrent Access
Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `CertStore`

Constructor Summary
`LDAPCertStoreParameters()` Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).
`LDAPCertStoreParameters(java.lang.String serverName)` Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.
`LDAPCertStoreParameters(java.lang.String serverName, int port)` Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `getPort()` Returns the port number of the LDAP server.
`java.lang.String` | `getServerName()` Returns the DNS name of the LDAP server.
`java.lang.String` | `toString()` Returns a formatted string describing the parameters.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LDAPCertStoreParameters

    public LDAPCertStoreParameters()

  Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).

### LDAPCertStoreParameters

    public LDAPCertStoreParameters(java.lang.String serverName)

  Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.
  Parameters:
    `serverName` - the DNS name of the LDAP server
  Throws:
    `java.lang.NullPointerException` - if `serverName` is `null`

### LDAPCertStoreParameters

    public LDAPCertStoreParameters(java.lang.String serverName,
                                   int port)

  Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.
  Parameters:
    `serverName` - the DNS name of the LDAP server
    `port` - the port number of the LDAP server
  Throws:
    `java.lang.NullPointerException` - if `serverName` is `null`

Method Detail

### getServerName

    public java.lang.String getServerName()

  Returns the DNS name of the LDAP server.
  Returns:
    the name (not `null`)

### getPort

    public int getPort()

  Returns the port number of the LDAP server.
  Returns:
    the port number

### clone

    public java.lang.Object clone()

  Returns a copy of this object. Changes to the copy will not affect the original and vice versa.
  Note: this method currently performs a shallow copy of the object (simply calls `Object.clone()`). This may be changed in a future revision to perform a deep copy if new parameters are added that should not be shared.
  Specified by:
    `clone` in interface `CertStoreParameters`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the copy

### toString

    public java.lang.String toString()

  Returns a formatted string describing the parameters.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a formatted string describing the parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD